%define oname plasma-applet-weather-widget

Name:		plasma5-applet-weather-widget
Version:	1.6.10
Release:	%mkrel 4
Summary:	Plasma 5 applet for displaying weather information
Group:		Graphical desktop/KDE5
License:	GPLv2+
Url:		https://github.com/kotelnik/plasma-applet-weather-widget
Source0:	https://github.com/kotelnik/%{name}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	gettext-devel

Requires:	plasma-workspace
Requires:	qtxmlpatterns5
Requires:	kdeplasma-addons
Requires:	kqtquickcharts

%description
Plasma 5 applet for displaying weather information from yr.no
(and other) server.

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%doc LICENSE
%{_kf5_qmldir}/org/kde/private/weatherWidget/
%{_kf5_services}/plasma-applet-org.kde.weatherWidget.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.weatherWidget/
%{_kf5_datadir}/metainfo/org.kde.weatherWidget.appdata.xml

%changelog
* Fri Sep 11 2020 tex - 1.6.10-4pclos2020
- rebuild against updates

* Fri Apr 19 2019 tex - 1.6.10-3pclos2019
- rebuild against updates

* Mon Apr 01 2019 tex - 1.6.10-2pclos2019
- rebuild against updates

* Fri Mar 29 2019 tex 1.6.10-1pclos2019
- new
